commit:     2772a4749f841489a48298f51d3a2a933fc95f25
Author:     John Helmert III <ajak <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 17 20:33:49 2025 +0000
Commit:     John Helmert III <ajak <AT> gentoo <DOT> org>
CommitDate: Tue Feb 18 05:19:35 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2772a474

app-misc/ckb: add 0.6.0_p20250131

With qt6 support.

Bug: https://bugs.gentoo.org/938825
Signed-off-by: John Helmert III <ajak <AT> gentoo.org>

 app-misc/ckb/Manifest                   |  1 +
 app-misc/ckb/ckb-0.6.0_p20250131.ebuild | 74 +++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/app-misc/ckb/Manifest b/app-misc/ckb/Manifest
index ceef690989a2..506618ec257a 100644
--- a/app-misc/ckb/Manifest
+++ b/app-misc/ckb/Manifest
@@ -1 +1,2 @@
 DIST ckb-0.6.0.tar.gz 1835972 BLAKE2B 
a6d905cf4a62e9395e008628a2b585681f4fa4af52305a11e49d2f00db990a966be79f97e0ae684031a45bf77b372548b64e2b0f87e344eaa0eb67c07117f89c
 SHA512 
34236199d420b663bb71db9400622bb868a3a0b384b58d5da3f80d2bd7ec9586d4e4ac9caad0b047b8440dc4200e4dd6077f4e0d1edb5a75a1327bf9c9ba9392
+DIST ckb-0.6.0_p20250131.tar.gz 1862119 BLAKE2B 
bcf24f725e16defcbcaf4e8a98fdb3406fbb22a732210a42d05275c77565fba11b6fe8275a7dc8cfcc2678abd4bc0689e6b174380dd8eb5d72cde74a5a4a70f3
 SHA512 
bd80c34f3ec0e290358b4e77b7583439aa363442015208579ded2c83a09174f1ab9c19e6d31f6c7a6f67235f1a1f4ea52f207330965960f97c7ab3e711929456

diff --git a/app-misc/ckb/ckb-0.6.0_p20250131.ebuild 
b/app-misc/ckb/ckb-0.6.0_p20250131.ebuild
new file mode 100644
index 000000000000..08a1a73159cf
--- /dev/null
+++ b/app-misc/ckb/ckb-0.6.0_p20250131.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake udev xdg
+
+DESCRIPTION="Corsair K65/K70/K95 Driver"
+HOMEPAGE="https://github.com/ckb-next/ckb-next";
+
+COMMIT=22cdb6d1854b668d8485addd7a6b01f0c2ac4dea
+
+if [[ ${PV} == "9999" ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/ckb-next/ckb-next.git";
+else
+       SRC_URI="https://github.com/ckb-next/ckb-next/archive/${COMMIT}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~amd64"
+       S="${WORKDIR}/${PN}-next-${COMMIT}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="systemd"
+
+RDEPEND="
+       dev-libs/quazip:0=[qt6(-)]
+       dev-qt/qtbase:6[dbus,gui,network,opengl,widgets]
+       || (
+               media-libs/libpulse
+               media-sound/apulse[sdk]
+       )
+       virtual/libudev:=
+       x11-libs/libxcb:=
+       x11-libs/xcb-util-wm"
+DEPEND="${RDEPEND}"
+BDEPEND="dev-qt/qttools:6[linguist]"
+
+src_configure() {
+       local mycmakeargs=(
+               -DDISABLE_UPDATER=yes
+               -DFORCE_INIT_SYSTEM=$(usex systemd systemd openrc)
+               # upstream has a knob that enables automagically using Qt6 with
+               # a Qt5 fallback
+               -DPREFER_QT6=yes
+               # but Qt itself has a more reliable knob for the
+               # default version to use
+               -DQT_DEFAULT_MAJOR_VERSION=6
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+       dodoc CHANGELOG.md
+}
+
+pkg_postinst() {
+       udev_reload
+
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               elog "The ckb daemon will have to be started before use:"
+               elog
+                       if use systemd ; then
+                       elog "# systemctl start ckb-next-daemon"
+               else
+                       elog "# rc-config start ckb-next-daemon"
+               fi
+       fi
+}
+
+pkg_postrm() {
+       udev_reload
+}

Reply via email to